Subject: [Gen-art] Gen-Art review of draft-holmberg-dispatch-rfc7315-updates

From: Ralph Droms <[email-masked]>
Date: Tue, 5 Jul 2016 20:24:49 -0400

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at

<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Document: draft-holmberg-dispatch-rfc7315-updates-07
Reviewer: Ralph Droms
Review Date: 2016-07-05
IETF LC End Date: 2016-07-18
IESG Telechat date: <unknown>

Summary: This draft is basically ready for publication, but has nits that should be fixed before publication.

Major issues: None

Minor issues:

I had some difficulty unraveling the relationship among the text in section 3.3.2, 3.3.3, 4 and RFC 7315.  Section 3.3.2 specifies the inclusion of the NPLI option in the P-Access-Network-Info header field.  Section 4 does not include text about the NPLI option in the updates to RFC 7315, and I can't find any reference to the NPLI option in RFC 7315.  Is the intention that the text in section 3.3.2 constitutes new Internet Standard behavior, not reflected in the update to RFC 7315, am I missing something or am I completely confused?

Section 3.3.3 specifies the inclusion of the IOI option in the P-Charging-Vector header field.  In this case, I am not sure if this specification represents a change to  existing text in RFC 7315 or new behavior.

I would be happy to hear that I am completely confused; otherwise, I suggest some text be added to clarify that sections 3.3.2 and 3.3.3 also specify some behaviors in addition to explaining the text in section 4.

Nits/editorial comments:

In section 3.2, it would reduce potential confusion to consistently name the header field referenced in each bullet; e.g.:

OLD:

o  P-Called-Party-ID: Delete statement that the header field can
appear in SIP responses.  Add statement that the P-Called-Party-ID
header field can appear in the SIP REFER method.

NEW:

o  P-Called-Party-ID: Delete statement that the P-Called-Party-ID
header field can appear in SIP responses.  Add statement that
the P-Called-Party-ID header field can appear in the SIP REFER method.

Section 3.3.1:

OLD:

This following sections describe, for individual P- header fields,
the 3GPP use-cases that are base for the updates.

NEW:

The following sections describe, for individual P- header fields,
the 3GPP use-cases that are the basis for the updates.

Section 3.3.2: uniformly capitalize "Network Provided Location Information".

Section 3.3.2: 3GPP TS 23.228 needs a citation of the referenced document.

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 12 Jul 2016 11:41:29 +0000

Hi Ralph,

Thanks for your comments! Please see inline.

Minor issues:

> I had some difficulty unraveling the relationship among the text in section 3.3.2, 3.3.3, 4 and RFC 7315.  Section 3.3.2 specifies the
> inclusion of the NPLI option in the P-Access-Network-Info header field.  Section 4 does not include text about the NPLI option in the
> updates to RFC 7315, and I can't find any reference to the NPLI option in RFC 7315.  Is the intention that the text in section 3.3.2
> constitutes new Internet Standard behavior, not reflected in the update to RFC 7315, am I missing something or am I completely confused?

Sections 3.3.2 and 3.3.3 describe the 3GPP use-cases which justify the changes to RFC 7315. Section 4 defines those changes.

Section 4 then defines the changes to RFC 7315, in order to support those use-cases.

RFC 7315 (Annex A) does talk about the possibility for network provided location information, and the ABNF supports it, but the details of the network provided location information (and the other types of location information) are defined in the 3GPP specification.

> Section 3.3.3 specifies the inclusion of the IOI option in the P-Charging-Vector header field.  In this case, I am not sure if this specification represents a change to  existing text in RFC 7315 o…

Section 3.3.3 (and 3.3.2) does not update RFC 7315. Section 3.3.3 only provides the use-case/justification for the update. The update to RFC 7315 is specified in section 4.

> I would be happy to hear that I am completely confused; otherwise, I suggest some text be added to clarify that sections 3.3.2 and 3.3.3 also specify some behaviors in addition to explaining the te…

Does my clarification above clarify?

>    the P-Called-Party-ID header field can appear in the SIP REFER method.

I’ll fix as suggested.

> the 3GPP use-cases that are the basis for the updates.

I’ll fix as suggested.

> Section 3.3.2: uniformly capitalize "Network Provided Location Information".

I’ll fix as suggested.

> Section 3.3.2: 3GPP TS 23.228 needs a citation of the referenced document.

I’ll add the reference.

Thanks!

Regards,

Christer

---

From: Ralph Droms <[email-masked]>
Date: Tue, 12 Jul 2016 11:35:02 -0400

> On Jul 12, 2016, at 7:41 AM 7/12/16, Christer Holmberg <[email-masked]> wrote:
> 
> Hi Ralph,
> 

Yes.  I had missed that 3.3.2 and 3.3.3 come from 3GPP.  The doc makes perfect sense to me now.

Thanks for the clarification and I think the doc is ready for publication considering our agreement on the editorial nits.

- Ralph

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 12 Jul 2016 16:46:36 +0000

Hi Ralph,

...

>Thanks for the clarification and I think the doc is ready for publication considering our agreement on the editorial nits.

Thank You! :)

Regards,

Christer

>    the P-Called-Party-ID header field can appear in the SIP REFER method.

I'll fix as suggested.

> the 3GPP use-cases that are the basis for the updates.

I'll fix as suggested.

> Section 3.3.2: uniformly capitalize "Network Provided Location Information".

I'll fix as suggested.

> Section 3.3.2: 3GPP TS 23.228 needs a citation of the referenced document.

I'll add the reference.

Thanks!

Regards,

Christer